---
# tasks file for wordpress
- name: Telecharger et extraire WordPress sur Ubuntu
  become: true
  when: ansible_facts['distribution'] == "Ubuntu"
  unarchive:
    src: https://wordpress.org/latest.tar.gz
    dest: /var/www/
    remote_src: true

- name: Telecharger et extraire WordPress sur CentOS
  become: true
  when: ansible_facts['distribution'] == "CentOS"
  unarchive:
    src: https://wordpress.org/latest.tar.gz
    dest: /var/www/html
    remote_src: true

- name: Copier le fichier de conf d'apache sur Ubuntu
  become: true
  when: ansible_facts['distribution'] == "Ubuntu"
  copy:
    src: wordpress.conf
    dest: /etc/apache2/sites-available/wordpress.conf
    mode: '0644'

- name: Copier le fichier de conf d'apache sur CentOS
  become: true
  when: ansible_facts['distribution'] == "CentOS"
  copy:
    src: wordpress_httpd.conf
    dest: /etc/httpd/conf.d/wordpress.conf
    mode: '0644'

- name: Desactiver la conf par default Apache
  become: true
  when: ansible_facts['distribution'] == "Ubuntu"
  command: a2dissite 000-default.conf

- name: Activer la conf apache de WordPress
  become: true
  when: ansible_facts['distribution'] == "Ubuntu"
  command: a2ensite wordpress.conf


- name: Modification des droits du repertoire WordPress sur Ubuntu
  become: true
  when: ansible_facts['distribution'] == "Ubuntu"
  file:
    path: /var/www/wordpress/
    recurse: true
    owner: www-data
    group: www-data

- name: Modification des droits du repertoire WordPress sur CentOS
  become: true
  when: ansible_facts['distribution'] == "CentOS"
  file:
    path: /var/www/html/wordpress
    recurse: true
    owner: apache
    group: apache

- name: Redemarrer le service apache sur Ubuntu
  become: true
  when: ansible_facts['distribution'] == "Ubuntu"
  service:
    name: apache2
    state: restarted

- name: Redemarrer le service apache sur CentOS
  become: true
  when: ansible_facts['distribution'] == "CentOS"
  service:
    name: httpd
    state: restarted
